import { TerraformResource } from "./terraform-resource";
declare abstract class ComplexComputedAttribute {
    protected terraformResource: TerraformResource;
    protected terraformAttribute: string;
    constructor(terraformResource: TerraformResource, terraformAttribute: string);
    getStringAttribute(terraformAttribute: string): string;
    getNumberAttribute(terraformAttribute: string): number;
    getListAttribute(terraformAttribute: string): string[];
    protected abstract interpolationForAttribute(terraformAttribute: string): string;
}
export declare class StringMap {
    protected terraformResource: TerraformResource;
    protected terraformAttribute: string;
    constructor(terraformResource: TerraformResource, terraformAttribute: string);
    lookup(key: string): string;
}
export declare class NumberMap {
    protected terraformResource: TerraformResource;
    protected terraformAttribute: string;
    constructor(terraformResource: TerraformResource, terraformAttribute: string);
    lookup(key: string): number;
}
export declare class BooleanMap {
    protected terraformResource: TerraformResource;
    protected terraformAttribute: string;
    constructor(terraformResource: TerraformResource, terraformAttribute: string);
    lookup(key: string): boolean;
}
export declare class ComplexComputedList extends ComplexComputedAttribute {
    protected terraformResource: TerraformResource;
    protected terraformAttribute: string;
    protected index: string;
    constructor(terraformResource: TerraformResource, terraformAttribute: string, index: string);
    protected interpolationForAttribute(property: string): string;
}
export {};
