import { Construct } from "constructs";
import { TerraformElement } from "./terraform-element";
import { TerraformResource } from "./terraform-resource";
export interface TerraformOutputConfig {
    readonly value: string | number | boolean | any[] | {
        [key: string]: any;
    };
    readonly description?: string;
    readonly sensitive?: boolean;
    readonly dependsOn?: TerraformResource[];
}
export declare class TerraformOutput extends TerraformElement {
    value: string | number | boolean | any[] | {
        [key: string]: any;
    };
    description?: string;
    sensitive?: boolean;
    dependsOn?: TerraformResource[];
    constructor(scope: Construct, id: string, config: TerraformOutputConfig);
    synthesizeAttributes(): {
        [key: string]: any;
    };
    toTerraform(): any;
}
