import { Construct } from "constructs";
import { TerraformElement } from "./terraform-element";
export interface TerraformProviderConfig {
    readonly terraformResourceType: string;
}
export declare abstract class TerraformProvider extends TerraformElement {
    readonly terraformResourceType: string;
    alias?: string;
    private readonly rawOverrides;
    constructor(scope: Construct, id: string, config: TerraformProviderConfig);
    get fqn(): string;
    addOverride(path: string, value: any): void;
    get metaAttributes(): {
        [name: string]: any;
    };
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
    /**
     * Adds this resource to the terraform JSON output.
     */
    toTerraform(): any;
}
